with GNATCOM.Dispinterface;

package MSHTML.DispSVGMetadataElement_Object is

   type DispSVGMetadataElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_xmlbase
     (This : DispSVGMetadataElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlbase
     (This : DispSVGMetadataElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ownerSVGElement
     (This : DispSVGMetadataElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ownerSVGElement
     (This : DispSVGMetadataElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_viewportElement
     (This : DispSVGMetadataElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_viewportElement
     (This : DispSVGMetadataElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_focusable
     (This : DispSVGMetadataElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_focusable
     (This : DispSVGMetadataElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGMetadataElement_Object;

